diff --git a/contrib/oid2name/oid2name.c b/contrib/oid2name/oid2name.c
index 63e360c4c5..157eebb3dd 100644
--- a/contrib/oid2name/oid2name.c
+++ b/contrib/oid2name/oid2name.c
@@ -176,23 +176,25 @@ help(const char *progname)
 		   "Usage:\n"
 		   "  %s [OPTION]...\n"
 		   "\nOptions:\n"
-		   "  -d DBNAME      database to connect to\n"
 		   "  -f FILENODE    show info for table with given file node\n"
-		   "  -H HOSTNAME    database server host or socket directory\n"
 		   "  -i             show indexes and sequences too\n"
 		   "  -o OID         show info for table with given OID\n"
-		   "  -p PORT        database server port number\n"
 		   "  -q             quiet (don't show headers)\n"
 		   "  -s             show all tablespaces\n"
 		   "  -S             show system objects too\n"
 		   "  -t TABLE       show info for named table\n"
-		   "  -U NAME        connect as specified database user\n"
 		   "  -V, --version  output version information, then exit\n"
 		   "  -x             extended (show additional columns)\n"
 		   "  -?, --help     show this help, then exit\n"
+		   "\nConnection options:\n"
+		   "  -d DBNAME      database to connect to\n"
+		   "  -H HOSTNAME    database server host or socket directory\n"
+		   "  -p PORT        database server port number\n"
+		   "  -U NAME        connect as specified database user\n"
 		   "\nThe default action is to show all database OIDs.\n\n"
 		   "Report bugs to <pgsql-bugs@postgresql.org>.\n",
 		   progname, progname);
+
 }
 
 /*
